
Foreman - Feature #13870

Encrypt settings values

02/24/2016 04:58 AM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Settings   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3230

  

Description

According to the following PR (https://github.com/theforeman/foreman/pull/3030#discussion_r49939234)

The use case to encrypt specific settings values came up.

Related issues:

Related to Foreman - Feature #2424: encrypt compute resource password Closed 04/24/2013

Related to Foreman - Bug #18200: Audit entries for encrypted oauth_consumer_s... Closed 01/23/2017

Associated revisions

Revision b5eefd92 - 10/07/2016 07:19 AM - Amir Fefer

Fixes #13870 - encrypt specific settings values in db

History

#1 - 02/24/2016 04:59 AM - Amir Fefer

- Tracker changed from Bug to Feature

#2 - 02/24/2016 05:11 AM - Dominic Cleal

- Related to Feature #2424: encrypt compute resource password added

#3 - 02/24/2016 09:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3230 added

#4 - 10/07/2016 08:03 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b5eefd928921ddab7fce2b03882e1b8afa5f37f5.

#5 - 10/10/2016 03:19 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#6 - 10/11/2016 09:56 AM - Daniel Lobato Garcia

- Target version set to 1.5.2

#7 - 05/25/2017 08:45 AM - Dominic Cleal

- Related to Bug #18200: Audit entries for encrypted oauth_consumer_secret created on app startup added
